<template>
  <Spinner v-if="isLoading"/>

  <div v-else-if="!results.Error" class="row mb-2">
    <h1>{{ results.Title }}</h1>

    <div class="row g-0 border rounded overflow-hidden flex-md-row mb-4 shadow-sm h-md-250 position-relative">
      <div class="col p-4 d-flex flex-column position-static">
        <strong class="d-inline-block mb-2 text-primary">{{ results.Genre }}</strong>
        <h3 class="mb-0">{{ results.Title }}</h3>
        <div class="mb-1 text-muted">{{ results.Year }}</div>
        <p class="card-text mb-auto">{{ results.Plot }}</p>
        <hr>
        <p class="card-text mb-auto">
          <strong>Actors:</strong> {{ results.Actors }}<br/>
          <strong>Awards:</strong> {{ results.Awards }}<br/>
          <strong>Box Office:</strong> {{ results.BoxOffice }}<br/>
        </p>
      </div>
      <div class="col-auto d-none d-lg-block">
        <img :src="results.Poster" :alt="results.Title"/>
      </div>
    </div>
  </div>

  <div v-else>{{ results.Error }}</div>
</template>

<script>
import { useRoute } from 'vue-router'
import useFetch from '../composable/use-fetch';

import Spinner from '@/components/Spinner.vue';

export default {
  components: {
    Spinner
  },
  setup() {
    const route = useRoute();
    const movieId = route.params.id;
    const { results, isLoading, error } = useFetch(`http://www.omdbapi.com/?apikey=522175a0&i=${movieId}`);

    return { results, isLoading, error };
  }
}
</script>